Package ru.bitel.bgbilling.plugins.bonus.common.bean

# Class BonusProgram

java.lang.Object
ru.bitel.bgbilling.plugins.bonus.common.bean.BonusProgram

public class BonusProgram extends Object
Бонусная программа. Содержит название, период действия, тип программы и остальные параметры программы. Основные параметры присущие всем бонусным программам вынесены полями класса, индивидуальные параметры содержатся в params; Так же статик полями вынесены название и ид типов бонусных програм.( возможно перейдет в бд ).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `dynamicIdType`
  Код типа для всех динамических программ, но название типов у каждого свое, и берется непосредственно у самой программы.
  `static final int`
  `operationIdType`
  `static final String`
  `operationTitleType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BonusProgram()`
  `BonusProgram(int id, String title, int programTypeId, Period period, int paymentTypeId, String timeLag, String activeTime, HashMap<String,String> params)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActiveTime()`
  `int`
  `getId()`
  Возвращает код программы
  `String`
  `getNameForDynamicClass()`
  Получение полного путя для дин класса.
  `HashMap<String,String>`
  `getParams()`
  `int`
  `getPaymentTypeId()`
  `Period`
  `getPeriod()`
  `int`
  `getProgramTypeId()`
  Возвращает код типа программы
  `String`
  `getSpecificationTitle()`
  `String`
  `getTimeLag()`
  `String`
  `getTitle()`
  Возвращает название программы
  `static Vector<bitel.billing.module.common.ComboBoxItem>`
  `getVectorTypes(Map<String,String> map)`
  `void`
  `setActiveTime(String activeTime)`
  `void`
  `setId(int id)`
  Устанавливает код программы
  `void`
  `setNameForDynamicClass(String path)`
  Установить путь до дин класса, нужно только для динамических программ.
  `void`
  `setParams(HashMap<String,String> params)`
  `void`
  `setPaymentTypeId(int paymentTypeId)`
  `void`
  `setPeriod(Period period)`
  `void`
  `setProgramTypeId(int programTypeId)`
  Устанавливает код типа программы
  `void`
  `setSpecificationTitle(String specificationTitle)`
  `void`
  `setTimeLag(String timeLag)`
  `void`
  `setTitle(String title)`
  Устанавливает название программы

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### operationTitleType

    public static final String operationTitleType
    See Also:
      - Constant Field Values

  - ### operationIdType

    public static final int operationIdType
    See Also:
      - Constant Field Values

  - ### dynamicIdType

    public static final int dynamicIdType
    Код типа для всех динамических программ, но название типов у каждого свое, и берется непосредственно у самой программы.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BonusProgram

    public BonusProgram()

  - ### BonusProgram

    public BonusProgram(int id, String title, int programTypeId, Period period, int paymentTypeId, String timeLag, String activeTime, HashMap<String,String> params)
    Parameters:
      `id` - - ид программы, при добовление новой программы = 0.
      `title` - - название программы.
      `programTypeId` - - тип программы(выбрать из статик полей данного класса).
      `dateFrom` - - от даты.
      `dateTo` - - до даты.
      `paymentTypeId` - - тип бонусного прихода.
      `timeLag` - - кол-во дней через которое станет активен бонусные платеж( от момента подсчета бонусов).
      `activeTime` - - кол-во дней которое будет активен бонусный приход.
      `params` - - параметры бонусной программы.

- ## Method Details

  - ### getId

    public int getId()
    Возвращает код программы
    Returns:
      уникальный код программы

  - ### setId

    public void setId(int id)
    Устанавливает код программы
    Parameters:
      `id` - - уникальный код программы

  - ### getTitle

    public String getTitle()
    Возвращает название программы
    Returns:
      название программы

  - ### setTitle

    public void setTitle(String title)
    Устанавливает название программы
    Parameters:
      `title` - - название программы

  - ### getProgramTypeId

    public int getProgramTypeId()
    Возвращает код типа программы
    Returns:
      код типа

  - ### setProgramTypeId

    public void setProgramTypeId(int programTypeId)
    Устанавливает код типа программы
    Parameters:
      `programTypeId` - - код типа

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod(Period period)

  - ### getPaymentTypeId

    public int getPaymentTypeId()

  - ### setPaymentTypeId

    public void setPaymentTypeId(int paymentTypeId)

  - ### getTimeLag

    public String getTimeLag()

  - ### setTimeLag

    public void setTimeLag(String timeLag)

  - ### getActiveTime

    public String getActiveTime()

  - ### setActiveTime

    public void setActiveTime(String activeTime)

  - ### getParams

    public HashMap<String,String> getParams()

  - ### setParams

    public void setParams(HashMap<String,String> params)

  - ### getSpecificationTitle

    public String getSpecificationTitle()

  - ### setSpecificationTitle

    public void setSpecificationTitle(String specificationTitle)

  - ### setNameForDynamicClass

    public void setNameForDynamicClass(String path)
    Установить путь до дин класса, нужно только для динамических программ. Реально, данный путь хранится в мапе, при затрагивании params надо это учитовать.
    Parameters:
      `specificationTitle` -

  - ### getNameForDynamicClass

    public String getNameForDynamicClass()
    Получение полного путя для дин класса. Он имеет значение только для динамических бонусных программ.
    Returns:
      - строку с полным путем. Если значение не задано или мап не задан, то вернет null.

  - ### getVectorTypes

    public static Vector<bitel.billing.module.common.ComboBoxItem> getVectorTypes(Map<String,String> map)
    Returns:
      вектор с id, title типов програм, для комбобокс.